package com.prolog.eis.service.out;


import com.prolog.eis.model.out.BizOutboundTaskDetailDismantle;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

/**
 * @author zmr
 * @description: 出库任务拆零详情表-服务接口类
 * @date 2023-09-14 18:59
 */
public interface BizOutboundTaskDetailDismantleService {

    /**
     * 新增数据
     *
     * @param bizOutboundTaskDetailDismantle 出库任务拆零详情表
     */
    long save(BizOutboundTaskDetailDismantle bizOutboundTaskDetailDismantle);

    /**
     * 新增批量数据
     *
     * @param bizOutboundTaskDetailDismantleList 出库任务拆零详情表
     */
    long saveBatch(List<BizOutboundTaskDetailDismantle> bizOutboundTaskDetailDismantleList);

    /**
     * 查询多条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象列表
     */
    List<BizOutboundTaskDetailDismantle> findByMap(Map<String, Object> paramMap);

    /**
     * 查询单条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象
     */
    BizOutboundTaskDetailDismantle findOneByMap(Map<String, Object> paramMap);

    /**
     * 查询多条数据
     *
     * @param criteria 查询起始位置
     * @return 对象列表
     */
    List<BizOutboundTaskDetailDismantle> findByCriteria(Criteria criteria);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BizOutboundTaskDetailDismantle findById(int id);

    /**
     * 修改数据
     *
     * @param bizOutboundTaskDetailDismantle 实例对象
     */
    long update(BizOutboundTaskDetailDismantle bizOutboundTaskDetailDismantle);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     */
    long deleteById(int id);

    /**
     * 通过参数删除数据
     *
     * @param paramMap 参数
     */
    long deleteByMap(Map<String, Object> paramMap);

    /**
     * 通过参数查询总条数
     *
     * @param paramMap 参数
     */
    long findCountByMap(Map<String, Object> paramMap);

    void updateMapByCriteria(Map<String, Object> map, Criteria criteria);
}
